Subject: Re: Who is Dave Duncan

From: [email-masked] (Crawford Kilian)
Date: Mon, 9 Nov 1992 03:26:46 GMT

Dani Zweig asks:

Is the Dave Duncan who wrote "The Seven Swords" and "A Man of His Word"
the same David Duncan that was writing sf in the fifties and sixties?

The answer is no...and that's why Dave Duncan goes by Dave and not David. The
elder Duncan is still alive, I believe; Dave Duncan tells me they met not too
long ago. Dave meanwhile is a Scots-born Calgary resident, a former petroleum
geologist who found himself laid off during the last recession, turned to
writing, and became a sudden marvel of productivity...about 14 novels sold
since 1987, if I've kept accurate count. And they're good stuff, too.
--
Crawford Kilian   Communications Department   Capilano College
North Vancouver BC Canada V7J 3H5
Usenet: [email-masked]
Internet: [email-masked]